Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## escjava.ast
Class GuardedCmd

    java.lang.Object
      javafe.ast.ASTNode
          escjava.ast.GuardedCmd

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  AssignCmd, Call, CmdCmdCmd, DynInstCmd, ExprCmd, LoopCmd, SeqCmd, SimpleCmd, VarInCmd

public abstract class GuardedCmd
extends ASTNode

Field Summary

Fields inherited from class javafe.ast.ASTNode
``

Constructor Summary
`GuardedCmd()`

Method Summary
`abstract void` | `accept(Visitor v)` Accept a visit from `v`.
`abstract java.lang.Object` | `accept(VisitorArgResult v, java.lang.Object o)`
`void` | `check()`
`abstract java.lang.Object` | `childAt(int i)` Return the first-but-ith child of a node.
`abstract int` | `childCount()` Return the number of children a node has.
`abstract int` | `getTag()` Return the tag of a node.
`abstract java.lang.String` | `toString()` Return a string representation of `this`.

Methods inherited from class javafe.ast.ASTNode
`clone, clone, getDecorations, getEndLoc, getStartLoc, setDecorations`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GuardedCmd

    public GuardedCmd()

Method Detail

### childCount

    public abstract int childCount()

  Return the number of children a node has.

  Specified by:
    `childCount` in class `ASTNode`

### childAt

    public abstract java.lang.Object childAt(int i)

  Return the first-but-ith child of a node.

  Specified by:
    `childAt` in class `ASTNode`

### getTag

    public abstract int getTag()

  Return the tag of a node.

  Specified by:
    `getTag` in class `ASTNode`

### toString

    public abstract java.lang.String toString()

  Return a string representation of `this`. Meant for debugging use only, not for presentation.

  Specified by:
    `toString` in class `ASTNode`

### accept

    public abstract void accept(Visitor v)

  Accept a visit from `v`. This method simply calls the method of `v` corresponding to the allocated type of `this`, passing `this` as the argument. See the design patterns book.

  Specified by:
    `accept` in class `ASTNode`

### accept

    public abstract java.lang.Object accept(VisitorArgResult v,
                                            java.lang.Object o)

  Specified by:
    `accept` in class `ASTNode`

### check

    public void check()

  Overrides:
    `check` in class `ASTNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage